Debian Bug report logs - #670111
libreadline-gplv2-dev: error when trying to install together with libreadline6-dev/squeeze (6.1-3)

version graph

Package: libreadline-gplv2-dev; Maintainer for libreadline-gplv2-dev is Debian QA Group <packages@qa.debian.org>; Source for libreadline-gplv2-dev is src:readline5.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Mon, 23 Apr 2012 00:42:02 UTC

Severity: serious

Found in version readline5/5.2-11

Fixed in version readline5/5.2-12

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#670111; Package libreadline-gplv2-dev. (Mon, 23 Apr 2012 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 23 Apr 2012 00:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libreadline-gplv2-dev: error when trying to install together with libreadline6-dev/squeeze (6.1-3)
Date: Mon, 23 Apr 2012 02:38:17 +0200
[Message part 1 (text/plain, inline)]
Package: libreadline-gplv2-dev
Version: 5.2-11
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2012-04-23
Architecture: amd64
Distribution: squeeze->wheezy (partial) upgrade

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


  Selecting previously deselected package libreadline-gplv2-dev.
  Unpacking libreadline-gplv2-dev (from .../libreadline-gplv2-dev_5.2-11_amd64.deb) ...
  dpkg: error processing /var/cache/apt/archives/libreadline-gplv2-dev_5.2-11_amd64.deb (--unpack):
   trying to overwrite '/usr/share/info/readline.info.gz', which is also in package libreadline6-dev 6.1-3


This is a serious bug as it makes installation/upgrade fail, and
violates sections 7.6.1 and 10.1 of the policy.

As this problem can be demonstrated during partial upgrades from squeeze
to wheezy (but not within squeeze or wheezy itself), this indicates a
missing or insufficiently versioned Replaces/Breaks relationship.
But since this particular upgrade ordering is not forbidden by any
dependency relationships, it is possible that apt (or $PACKAGE_MANAGER)
will use this erroneus path on squeeze->wheezy upgrades.

Here is a list of files that are known to be shared by both packages
(according to the Contents files for amd64, which may be
slightly out of sync):

  usr/include/readline/chardefs.h
  usr/include/readline/history.h
  usr/include/readline/keymaps.h
  usr/include/readline/readline.h
  usr/include/readline/rlconf.h
  usr/include/readline/rlstdc.h
  usr/include/readline/rltypedefs.h
  usr/include/readline/tilde.h
  usr/share/info/history.info.gz
  usr/share/info/readline.info.gz

The following relationships are currently defined:

Package: libreadline-gplv2-dev
Source: readline5
Version: 5.2-11
Replaces: libreadline5-dev
Depends: libreadline5 (= 5.2-11), libtinfo-dev, dpkg (>= 1.15.4) | install-info
Conflicts: libreadline-dev, libreadline5-dev


-Andreas

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.
[libreadline6-dev=6.1-3_libreadline-gplv2-dev=5.2-11.log.gz (application/x-gzip, attachment)]

Added indication that 670111 affects libreadline6-dev Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:45:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#670111; Package libreadline-gplv2-dev. (Sat, 15 Sep 2012 18:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 15 Sep 2012 18:09:06 GMT) Full text and rfc822 format available.

Message #12 received at 670111@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 670111@bugs.debian.org
Subject: Re: libreadline-gplv2-dev: error when trying to install together with libreadline6-dev/squeeze (6.1-3)
Date: Sat, 15 Sep 2012 20:05:16 +0200
Dear Maintainer,

I have prepared an NMU for readline5, fixing this bug only, which I
uploaded to mentors.d.o. You can find it at

    http://mentors.debian.net/package/readline5

and it can be downloaded with dget using this command:

    dget -x http://mentors.debian.net/debian/pool/main/r/readline5/readline5_5.2-11.1.dsc

The debdiff is rather short:

diff -u readline5-5.2/debian/changelog readline5-5.2/debian/changelog
--- readline5-5.2/debian/changelog
+++ readline5-5.2/debian/changelog
@@ -1,3 +1,11 @@
+readline5 (5.2-11.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Aibreadline-gplv2-dev: explicitly conflict against libreadline6-dev.
+    Closes: #670111.
+
+ -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sat, 15 Sep 2012 19:44:11 +0200
+
 readline5 (5.2-11) unstable; urgency=low
 
   * Do not link against any libncurses* library, just against libtinfo.
diff -u readline5-5.2/debian/control readline5-5.2/debian/control
--- readline5-5.2/debian/control
+++ readline5-5.2/debian/control
@@ -34,7 +34,7 @@
 Package: libreadline-gplv2-dev
 Architecture: any
 Depends: libreadline5 (= ${binary:Version}), libtinfo-dev, ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
-Conflicts: libreadline-dev, libreadline5-dev
+Conflicts: libreadline-dev, libreadline5-dev, libreadline6-dev
 Replaces: libreadline5-dev
 Multi-Arch: same
 Section: libdevel

Florian



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#670111; Package libreadline-gplv2-dev. (Sat, 15 Sep 2012 19:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 15 Sep 2012 19:33:09 GMT) Full text and rfc822 format available.

Message #17 received at 670111@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 670111@bugs.debian.org, 670028@bugs.debian.org, 658850@bugs.debian.org
Subject: Re: libreadline-gplv2-dev: "Multi-Arch: same" but examples/Makefile differs across architectures
Date: Sat, 15 Sep 2012 21:29:11 +0200
Dear Maintainer,

please note that I just uploaded a new version (with the same Debian
version!) of my proposed readline5 NMU, still available from the same
location at
http://mentors.debian.net/package/readline5
and downloadable via 
dget -x http://mentors.debian.net/debian/pool/main/r/readline5/readline5_5.2-11.1.dsc

In addition to fixing RC bug #670111, this version now also provides a
fix for the Multi-Arch bugs #670028 and #658850, by substituting the
arch-dependant (and non-functional) paths in examples/Makefile with
their correct (on Debian) and at the same time arch-indep paths.

this is the diff for just this change:

 debian/changelog |    5 ++++-
 debian/rules     |    4 ++++
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/debian/changelog b/debian/changelog
index 44a25de..1d0f225 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,8 +3,11 @@ readline5 (5.2-11.1) unstable; urgency=low
   * Non-maintainer upload.
   * libreadline-gplv2-dev: explicitly conflict against libreadline6-dev.
     Closes: #670111.
+  * libreadline-gplv2-dev: substitute build- and architecture-dependant paths
+    in examples/Makefile with their actual, arch-indep value.
+    Closes: #658850, #670028.

- -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sat, 15 Sep 2012 19:44:11 +0200
+ -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Sat, 15 Sep 2012 20:57:13 +0200

 readline5 (5.2-11) unstable; urgency=low

diff --git a/debian/rules b/debian/rules
index ceb309d..716f08a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -393,6 +393,10 @@ binary-arch: build install
        mkdir -p $(d_rld)/usr/share/doc/$(p_rl)/examples
        cp -p $(builddir)/examples/Makefile examples/*.c \
                $(d_rld)/usr/share/doc/$(p_rl)/examples/
+       sed -i -e's,srcdir = .*/readline5-5.2/examples,srcdir = /usr/share/doc/libreadline5/examples,' \
+           -e's,VPATH = .:.*/readline5-5.2/examples,VPATH = .:/usr/share/doc/libreadline5/examples,' \
+           -e's,top_srcdir = .*/readline5-5.2,top_srcdir = /usr/include/readline/,' \
+           $(d_rld)/usr/share/doc/$(p_rl)/examples/Makefile
        ln -sf $(p_rl) $(d_rld)/usr/share/doc/$(p_rld)
        ln -sf $(p_rl) $(d_rlg)/usr/share/doc/$(p_rlg)

Florian




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#670111; Package libreadline-gplv2-dev. (Sat, 15 Sep 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 15 Sep 2012 21:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 670111@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 670111@bugs.debian.org
Subject: Re: libreadline-gplv2-dev: "Multi-Arch: same" but examples/Makefile differs across architectures
Date: Sat, 15 Sep 2012 23:19:56 +0200
FYI I actually co-installed the amd64 and i386 versions of
libreadline-gplv2-dev 5.2-11.1 (along with libreadline5 and
libtinfo-dev) on my system, confirming that the Multi-Arch bugs are
fixed.

Florian



Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#670111; Package libreadline-gplv2-dev. (Sun, 16 Sep 2012 10:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 16 Sep 2012 10:27:06 GMT) Full text and rfc822 format available.

Message #27 received at 670111@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-release@lists.debian.org
Cc: Florian Schlichting <fschlich@zedat.fu-berlin.de>, doko@debian.org, 670111@bugs.debian.org, 670028@bugs.debian.org
Subject: Re: pre-upload approval for readline5 NMU
Date: Sun, 16 Sep 2012 12:23:58 +0200
Hi,

On Samstag, 15. September 2012, Holger Levsen wrote:
> I'm asking for pre-upload approval (from the release team) for readline5,
> fixing the RC bug #670111 and the multiarch-bug #670028. I'd like to upload
> this now, but to DELAYED-5 to give the maintainer some time to do their own
> upload.

I've uploaded this to DELAYED-7 now, happy to cancel this upload if you have a 
better solution or serious concerns. The debdiff is the one sent to the bugs 
already.


cheers,
	Holger



Added tag(s) pending. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 16 Sep 2012 14:03:09 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Tue, 18 Sep 2012 19:21:12 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 18 Sep 2012 19:21:12 GMT) Full text and rfc822 format available.

Message #34 received at 670111-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 670111-close@bugs.debian.org
Subject: Bug#670111: fixed in readline5 5.2-12
Date: Tue, 18 Sep 2012 19:18:03 +0000
Source: readline5
Source-Version: 5.2-12

We believe that the bug you reported is fixed in the latest version of
readline5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670111@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated readline5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Sep 2012 15:04:24 +0200
Source: readline5
Binary: libreadline5 lib64readline5 libreadline-gplv2-dev lib64readline-gplv2-dev libreadline5-dbg lib32readline5 lib32readline-gplv2-dev
Architecture: source amd64
Version: 5.2-12
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 lib32readline-gplv2-dev - GNU readline and history libraries, development files (32-bit)
 lib32readline5 - GNU readline and history libraries, run-time libraries (32-bit)
 lib64readline-gplv2-dev - GNU readline and history libraries, development files (64-bit)
 lib64readline5 - GNU readline and history libraries, run-time libraries (64-bit)
 libreadline-gplv2-dev - GNU readline and history libraries, development files
 libreadline5 - GNU readline and history libraries, run-time libraries
 libreadline5-dbg - GNU readline and history libraries, debugging libraries
Closes: 658850 670028 670111
Changes: 
 readline5 (5.2-12) unstable; urgency=low
 .
   [ Florian Schlichting ]
   * libreadline-gplv2-dev: explicitly conflict against libreadline6-dev.
     Closes: #670111.
   * libreadline-gplv2-dev: substitute build- and architecture-dependant paths
     in examples/Makefile with their actual, arch-indep value.
     Closes: #658850, #670028.
 .
   [ Matthias Klose ]
   * Orphan the package.
Checksums-Sha1: 
 a9eb6aafe7b65c28c6d7b0d0f578dd8c5ca0b177 1603 readline5_5.2-12.dsc
 cc186e9db86159d34351e07ba5ec9dd99534e898 26516 readline5_5.2-12.diff.gz
 4b5e73d1b8a90bd0b73560bdebd0ad7e3e286d3f 150174 libreadline5_5.2-12_amd64.deb
 7c5470e70f85e2921115d240ed18ba7fbd12c0f2 245294 libreadline-gplv2-dev_5.2-12_amd64.deb
 96d0f5e06485344eb129b3358e12984ce632d534 334892 libreadline5-dbg_5.2-12_amd64.deb
 f7f1d6bf47f2cf21ef3c56281a65e20746479dd4 143142 lib32readline5_5.2-12_amd64.deb
 a606e1a3bbaf1c47418ad03dc274a47de1163004 131766 lib32readline-gplv2-dev_5.2-12_amd64.deb
Checksums-Sha256: 
 a56e9ec104f8bc889413cdcd6ae9a16c824bf02387a88ca5943794fac806a098 1603 readline5_5.2-12.dsc
 6ac62fbdacd9c7079d40383b974c95a36756dd0292cdadd5cfc63469de33337f 26516 readline5_5.2-12.diff.gz
 ea87aad69c9d925dc8b37610928a38e9d3fc91226c7335ac28a9067a70b8855f 150174 libreadline5_5.2-12_amd64.deb
 4efdbd2e37a3a86736dda54d99fd8a7de06df2f4f7e3605d53069cd259db8a99 245294 libreadline-gplv2-dev_5.2-12_amd64.deb
 1edf1f308bfa3b618c876e848bf5ef93468da398625a7367d2ab846e769ab3d9 334892 libreadline5-dbg_5.2-12_amd64.deb
 4ac26d8eafc86381dc9c8ed192753020f67dea522d09cc18ab41e11cbaa13562 143142 lib32readline5_5.2-12_amd64.deb
 924faeef47e14640a1c1fd792268f450f6e5dcd88383766c274e3eb8f8f30f21 131766 lib32readline-gplv2-dev_5.2-12_amd64.deb
Files: 
 67095712a27888b98918bff4c37d7852 1603 libs extra readline5_5.2-12.dsc
 d9adbf58df1150479fd5e5e273e7e557 26516 libs extra readline5_5.2-12.diff.gz
 49f67e77b9d9ec68393538335e4bb6fb 150174 libs extra libreadline5_5.2-12_amd64.deb
 280b8db33d8d6ef1245648e0ec738bba 245294 libdevel extra libreadline-gplv2-dev_5.2-12_amd64.deb
 abb84dab63864b42ea11720256051227 334892 debug extra libreadline5-dbg_5.2-12_amd64.deb
 753063f11fef91102b935afc9e8c4463 143142 libs extra lib32readline5_5.2-12_amd64.deb
 e9296de10d74851581e1c0fa68e27be4 131766 libdevel extra lib32readline-gplv2-dev_5.2-12_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlBYvIUACgkQStlRaw+TLJxTCwCfV7h57XI2r7+0w17s4L1K2zfp
pWcAoMF0PN+J4MzABL2M9xxkIORZNJHL
=E990
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Oct 2012 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:42:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.